<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Laratrust\LaratrustFacade as Laratrust;
use Illuminate\Support\Facades\Auth;
use App\Author;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if (Laratrust::hasRole('admin')) return $this->adminDashboard();
        if (Laratrust::hasRole('customer')) return $this->customerDashboard();
        if (Laratrust::hasRole('deliver')) return $this->deliverDashboard();
        if (Laratrust::hasRole('chef')) return $this->chefDashboard();
        if (Laratrust::hasRole('manager')) return $this->managerDashboard();



        return view('home');
    }

    protected function deliverDashboard()
    {
        //echo "deliver ";
        return view('dashboard.deliver');
    }
    protected function chefDashboard()
    {
        echo "chef";
        return view('dashboard.chef');
    }

    protected function managerDashboard()
    {
        echo "manager";
        return view('dashboard.manager');
    }

protected function adminDashboard()
{
return view('dashboard.admin');
}
 protected function customerDashboard()
    {
        $borrowLogs = Auth::user()->borrowLogs()->borrowed()->get();
        return view('dashboard.customer', compact('borrowLogs'));
    }
}
