<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Styles --> 
    <link href="{{ asset('css/bootstrap.min.css') }}" rel='stylesheet' type='text/css'>
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/jquery.dataTables.css') }}" rel='stylesheet' type='text/css'>
    <link href="{{ asset('css/dataTables.bootstrap.css') }}" rel='stylesheet' type='text/css'>
    <link href="{{ asset('css/selectize.css') }}" rel='stylesheet' type='text/css'>
    <link href="{{ asset('css/selectize.bootstrap3.css') }}" rel="stylesheet">
    <link href="{{ asset('css/theme/assets/css/zabuto_calendar.css') }}" rel='stylesheet' type='text/css'>
    <link href="{{ asset('css/theme/assets/js/gritter/css/jquery.gritter.css') }}" rel='stylesheet' type='text/css'>
    <link href="{{ asset('css/theme/assets/lineicons/style.css') }}" rel="stylesheet">
    <link href="{{ asset('css/theme/assets/css/style.css') }}" rel='stylesheet' type='text/css'>
    <link href="{{ asset('css/theme/assets/css/style-responsive.css') }}" rel='stylesheet' type='text/css'>


    <!-- Scripts -->
    <script>
        window.Laravel = <?php echo json_encode([
            'csrfToken' => csrf_token(),
        ]); ?>
    </script>
</head>
<body>
       <!--header start-->

      <header class="header black-bg">
              <div class="sidebar-toggle-box">
                  <div class="fa fa-bars tooltips" data-placement="right" data-original-title="Toggle Navigation"></div>
              </div>
            <!--logo start-->
            <a href="{{ url('')}} " class="logo"><b>Pizza Andaliman</b></a>
            <!--logo end-->
            <div class="nav notify-row" id="top_menu">
                <!--  notification start -->



            </div>

            <div class="top-menu">
          
                <ul class="nav pull-right top-menu">
                   @if (Auth::guest())
                  <li><a class="logout" href="{{ url('/login') }}">Login</a></li>
                        <li> <a class="logout"  href="{{ url('/register') }}">Daftar</a></li>
                        @else
                   <li>
                                    <a class="logout" href="{{ url('/logout') }}"
                                        onclick="event.preventDefault();
                                                 document.getElementById('logout-form').submit();">
                                        Logout
                                    </a>

                                    <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                                        {{ csrf_field() }}
                                    </form>
                                </li>
                                @endif
                </ul>
            </div>
        </header>
      @if (Auth::check()) 
        <aside>
          <div id="sidebar"  class="nav-collapse ">
              <!-- sidebar menu start-->
              <ul class="sidebar-menu" id="nav-accordion">
              
                  <p class="centered"><a href="#"><img src="{{ asset('css/theme/assets/img/pizza2.PNG') }}" class="img-circle" width="90"></a></p>
                  <h5 class="centered" STYLE="font-size: 17px; color: #ffd317" >{{ Auth::user()->name }}</h5>

                  @if (!Auth::user()->id==1)
                      <li class="mt">
                          <a  href="{{ url('listFood') }}">
                          <i class="fa fa-dashboard"></i>
                          <span>List Makanan</span>
                      </a>
                      </li>
                  @endif
@if (Auth::user()->id==5)
                      <li class="mt">
                          <a  href="{{ url('createFood') }}">
                              <i class="fa fa-dashboard"></i>
                              <span>Menu Makanan</span>
                          </a>
                      </li>
                      <li class="mt">
                          <a  href="{{ url('listFood') }}">
                              <i class="fa fa-dashboard"></i>
                              <span>Rekapitulasi Penjualan</span>
                          </a>
                      </li>
                      <li class="mt">
                          <a  href="{{ url('listFood') }}">
                              <i class="fa fa-dashboard"></i>
                              <span>Data Pegawai</span>
                          </a>
                      </li>

@elseif (Auth::user()->id==1)
                      <li class="mt">
                          <a  href="{{ url('listFood') }}">
                              <i class="fa fa-dashboard"></i>
                              <span>Daftar Pesanan</span>
                          </a>
                      </li>
                      <li class="mt">
                          <a  href="{{ url('listFood') }}">
                              <i class="fa fa-dashboard"></i>
                              <span>Laporan Penjualan</span>
                          </a>
                      </li>

@elseif (Auth::user()->id>=2)
                      <li class="mt">
                          <a  href="{{ url('listFoodCostumer') }}">
                              <i class="fa fa-dashboard"></i>
                              <span>Daftar Makanan</span>
                          </a>
                      </li>



@elseif (Auth::user()->id>=3)
                  <li class="mt">
                      <a  href="{{ url('/chef') }}">
                          <i class="fa fa-dashboard"></i>
                          <span>Daftar Pesanan</span>
                      </a>
                  </li>
    @endif



              </ul>
              <!-- sidebar menu end-->
          </div>
      </aside>
      @endif
      @include('layouts._flash')
    @yield('content')
        


    <!-- Scripts -->
 
    <script src="{{ asset('js/jquery-3.1.0.min.js') }}"></script>
    <script src="{{ asset('js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('js/dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ asset('js/selectize.min.js') }}"></script>
    <script src="{{ asset('js/custom.js') }}"></script>
    <script class="include" type="text/javascript" src="{{ asset('css/theme/assets/js/jquery.dcjqaccordion.2.7.js') }}"></script>
    <script src="{{ asset('css/theme/assets/js/jquery.scrollTo.min.js') }}"></script>
    <script src="{{ asset('css/theme/assets/js/jquery.nicescroll.js') }}" type="text/javascript"></script>
    <script src="{{ asset('css/theme/assets/js/jquery.sparkline.js') }}"></script>


    <!--common script for all pages-->
    <script src="{{ asset('css/theme/assets/js/common-scripts.js') }}"></script>
    
    <script type="text/javascript" src="{{ asset('css/theme/assets/js/gritter/js/jquery.gritter.js') }}"></script>
    <script type="text/javascript" src="{{ asset('css/theme/assets/js/gritter-conf.js') }}"></script>

    <!--script for this page-->
    <script src="{{ asset('css/theme/assets/js/sparkline-chart.js') }}"></script>    
    <script src="{{ asset('css/theme/assets/js/zabuto_calendar.js') }}"></script>    
    
  
    @yield('scripts')
</body>
</html>
